#### Previous topic

numpy.memmap.flush

#### Next topic

numpy.get_printoptions

# numpy.set_printoptions

`numpy.``set_printoptions`(precision=None, threshold=None, edgeitems=None, linewidth=None, suppress=None, nanstr=None, infstr=None, formatter=None)

  Set printing options.

  These options determine the way floating point numbers, arrays and other NumPy objects are displayed.

  > Parameters: | precision : int, optional Number of digits of precision for floating point output (default 8). threshold : int, optional Total number of array elements which trigger summarization rather than full repr (default 1000). edgeitems : int, optional Number of array items in summary at beginning and end of each dimension (default 3). linewidth : int, optional The number of characters per line for the purpose of inserting line breaks (default 75). suppress : bool, optional Whether or not suppress printing of small floating point values using scientific notation (default False). nanstr : str, optional String representation of floating point not-a-number (default nan). infstr : str, optional String representation of floating point infinity (default inf). formatter : dict of callables, optional If not None, the keys should indicate the type(s) that the respective formatting function applies to. Callables should return a string. Types that are not specified (by their corresponding keys) are handled by the default formatters. Individual types for which a formatter can be set are:
  >     - 'bool'
  >     - 'int'
  >     - 'timedelta' : a `numpy.timedelta64`
  >     - 'datetime' : a `numpy.datetime64`
  >     - 'float'
  >     - 'longfloat' : 128-bit floats
  >     - 'complexfloat'
  >     - 'longcomplexfloat' : composed of two 128-bit floats
  >     - 'numpy_str' : types `numpy.string_` and `numpy.unicode_`
  >     - 'str' : all other strings
  > Other keys that can be used to set a group of types at once are:
  >     - 'all' : sets all types
  >     - 'int_kind' : sets 'int'
  >     - 'float_kind' : sets 'float' and 'longfloat'
  >     - 'complex_kind' : sets 'complexfloat' and 'longcomplexfloat'
  >     - 'str_kind' : sets 'str' and 'numpystr'

  See also

  `get_printoptions`, `set_string_function`, `array2string`

  Notes

  `formatter` is always reset with a call to `set_printoptions`.

  Examples

  Floating point precision can be set:

      >>> np.set_printoptions(precision=4)
      >>> print(np.array([1.123456789]))
      [ 1.1235]

  Long arrays can be summarised:

      >>> np.set_printoptions(threshold=5)
      >>> print(np.arange(10))
      [0 1 2 ..., 7 8 9]

  Small results can be suppressed:

      >>> eps = np.finfo(float).eps
      >>> x = np.arange(4.)
      >>> x**2 - (x + eps)**2
      array([ -4.9304e-32,  -4.4409e-16,   0.0000e+00,   0.0000e+00])
      >>> np.set_printoptions(suppress=True)
      >>> x**2 - (x + eps)**2
      array([-0., -0.,  0.,  0.])

  A custom formatter can be used to display array elements as desired:

      >>> np.set_printoptions(formatter={'all':lambda x: 'int: '+str(-x)})
      >>> x = np.arange(3)
      >>> x
      array([int: 0, int: -1, int: -2])
      >>> np.set_printoptions()  # formatter gets reset
      >>> x
      array([0, 1, 2])

  To put back the default options, you can use:

      >>> np.set_printoptions(edgeitems=3,infstr='inf',
      ... linewidth=75, nanstr='nan', precision=8,
      ... suppress=False, threshold=1000, formatter=None)